/*
*  @description: 组件评标委员会公共字典
  @Modifier: yf
  @routerPath:
  @date: 2020/5/25-15:48
  * */
/* api*/
import { queryProcurementEvaluationInitInfo } from '@/api/procurement/procurementEvaluation'
export const procurementCommitteeGroupMixin = {
  data() {
    return {
      /* ========================基本信息部分========================*/
      // 评标类别
      expertTypeList: [],
      // 评标类型
      personTypeList: []
    }
  },
  mounted() {
    this.inCodes()
  },
  methods: {
    // 查询字典
    inCodes() {
      queryProcurementEvaluationInitInfo().then(res => {
        this.expertTypeList = res.data.proteval_procurement_expert_committee_cometype.typeList
        this.personTypeList = res.data.proteval_procurement_expert_committee_persontype.typeList
      }).catch(() => {
      })
    }
  }
}
